Function
setGlobalReference
Sets the global reference of a Journaled Set.
setGlobalReference(stringSet, reference)
Include Headers
seqan/journal_set.h
Parameters

stringSet | The string set that stores the sequences. Types: Journaled Set
reference | The new reference sequence of the Journaled Set. Types: Host<StringSet<TString, Owner<JournaledSet> > >::Type

Remarks
Uses an Holder to store a reference to the new global reference sequence instead of copying it.
Member of
Journaled Set
See Also
globalReference, createGlobalReference
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59